package gov.va.med.fw.util;

import gov.va.med.esr.service.external.ESRException;

import org.springframework.ws.soap.server.endpoint.annotation.FaultCode;
import org.springframework.ws.soap.server.endpoint.annotation.SoapFault;

@SoapFault(faultCode = FaultCode.CLIENT) 
public class EEServiceException extends ESRException {


	private static final long serialVersionUID = -1906081163250115233L;

	public EEServiceException(String arg0, Throwable arg1) {
		super(arg0, arg1);
	}
	
	public EEServiceException(Throwable arg1) {
		super(null,arg1);
	}
}
